%define		fversion	%(echo %{version} |tr r -)
%define		modulename	oz
Summary:	Plot the Australian coastline and states
Summary(pl.UTF-8):	Rysowanie australijskiej linii brzegowej i stanów
Name:		R-cran-%{modulename}
Version:	1.0r19
Release:	2
License:	GPL
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{fversion}.tar.gz
# Source0-md5:	9a05f3152e456412d0cc649309f52ff6
BuildRequires:	R >= 2.8.1
Requires(post,postun):	R >= 2.8.1
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plot the Australian coastline and states.

%description -l pl.UTF-8
Rysowanie australijskiej linii brzegowej i stanów.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/R/library/
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/{DESCRIPTION,ChangeLog,README}
%{_libdir}/R/library/%{modulename}
%changelog
* Tue Nov 26 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/R-cran-oz.git;a=log;h=master

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> b220f3d
- fixed install
- rel 2

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> 1969c16
- up to 1.0-19

* Sun Jan 04 2009 Jan Rękorajski <baggins@pld-linux.org> 6a6a343
- updated R reqs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 813c60c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> de39fb6
- converted to UTF-8

* Thu Feb 08 2007 Jan Rękorajski <baggins@pld-linux.org> 3811a7d
- fixed post script for R 2.4.0
- R: R >= 2.4.0

* Tue Nov 16 2004 Jakub Bogusz <qboosh@pld-linux.org> 53eace5
- pl fix+unification

* Tue Nov 16 2004 undefine <undefine@pld-linux.org> b9acaa9
- rel 1

* Tue Nov 16 2004 undefine <undefine@pld-linux.org> 2797d2e
- initital

